import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetRouteDefinitionForViewDto, RouteDefinitionDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewRouteDefinitionModal',
    templateUrl: './view-routeDefinition-modal.component.html'
})
export class ViewRouteDefinitionModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetRouteDefinitionForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetRouteDefinitionForViewDto();
        this.item.routeDefinition = new RouteDefinitionDto();
    }

    show(item: GetRouteDefinitionForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
